# Class SequencingArtifactMetrics.BaitBiasSummaryMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.artifacts.SequencingArtifactMetrics.BaitBiasSummaryMetrics

Enclosing class:
  `SequencingArtifactMetrics`

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class SequencingArtifactMetrics.BaitBiasSummaryMetrics extends htsjdk.samtools.metrics.MetricBase
Summary analysis of a single bait bias artifact, also known as a reference bias artifact. These artifacts occur during or after the target selection step, and correlate with substitution rates that are "biased", or higher for sites having one base on the reference/positive strand relative to sites having the complementary base on that strand. For example, a G>T artifact during the target selection step might result in a higher G>T / C>A substitution rate at sites with a G on the positive strand (and C on the negative), relative to sites with the flip (C positive / G negative). This is known as the "G-Ref" artifact.

## Field Summary

Fields
Modifier and Type
Field
Description
`char`
`ALT_BASE`
The (upper-case) alternative base that is called as a result of DNA damage.
`String`
`ARTIFACT_NAME`
A "nickname" of this artifact, if it is a known error mode.
`String`
`LIBRARY`
The name of the library being assayed.
`char`
`REF_BASE`
The (upper-case) original base on the reference strand.
`String`
`SAMPLE_ALIAS`
The name of the sample being assayed.
`double`
`TOTAL_QSCORE`
The total Phred-scaled Q-score for this artifact.
`String`
`WORST_CXT`
The sequence context (reference bases surrounding the locus of interest) having the lowest Q-score among all contexts for this artifact.
`double`
`WORST_CXT_QSCORE`
The Q-score for the worst context.
`String`
`WORST_POST_CXT`
The post-context (reference bases trailing after the locus of interest) with the lowest Q-score.
`double`
`WORST_POST_CXT_QSCORE`
The Q-score for the worst post-context.
`String`
`WORST_PRE_CXT`
The pre-context (reference bases leading up to the locus of interest) with the lowest Q-score.
`double`
`WORST_PRE_CXT_QSCORE`
The Q-score for the worst pre-context.

## Constructor Summary

Constructors
Constructor
Description
`BaitBiasSummaryMetrics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`inferArtifactName()`
Label the artifacts corresponding to known error modes.

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SAMPLE_ALIAS

public String SAMPLE_ALIAS
The name of the sample being assayed.

### LIBRARY

public String LIBRARY
The name of the library being assayed.

### REF_BASE

public char REF_BASE
The (upper-case) original base on the reference strand.

### ALT_BASE

public char ALT_BASE
The (upper-case) alternative base that is called as a result of DNA damage.

### TOTAL_QSCORE

public double TOTAL_QSCORE
The total Phred-scaled Q-score for this artifact. A lower Q-score means a higher probability that a REF_BASE:ALT_BASE observation randomly picked from the data will be due to this artifact, rather than a true variant.

### WORST_CXT

public String WORST_CXT
The sequence context (reference bases surrounding the locus of interest) having the lowest Q-score among all contexts for this artifact.

### WORST_CXT_QSCORE

public double WORST_CXT_QSCORE
The Q-score for the worst context.

### WORST_PRE_CXT

public String WORST_PRE_CXT
The pre-context (reference bases leading up to the locus of interest) with the lowest Q-score.

### WORST_PRE_CXT_QSCORE

public double WORST_PRE_CXT_QSCORE
The Q-score for the worst pre-context.

### WORST_POST_CXT

public String WORST_POST_CXT
The post-context (reference bases trailing after the locus of interest) with the lowest Q-score.

### WORST_POST_CXT_QSCORE

public double WORST_POST_CXT_QSCORE
The Q-score for the worst post-context.

### ARTIFACT_NAME

public String ARTIFACT_NAME
A "nickname" of this artifact, if it is a known error mode.

## Constructor Details

### BaitBiasSummaryMetrics

public BaitBiasSummaryMetrics()

## Method Details

### inferArtifactName

public void inferArtifactName()
Label the artifacts corresponding to known error modes.